From 25544852d530dce6ccd9e1e31e966f4031d5417a Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Tue, 1 Mar 2016 21:31:31 +0800
Subject: [PATCH 6/7] TAP: Retain tempdirs for failed tests

If a test fails temporary directories created for that test are retained
- in particular, PostgresNode data directories. This makes debugging
much easier.

By Kyotaro Horiguchi
---
 src/test/perl/TestLib.pm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/src/test/perl/TestLib.pm b/src/test/perl/TestLib.pm
index 8c13655..63a0e77 100644
--- a/src/test/perl/TestLib.pm
+++ b/src/test/perl/TestLib.pm
@@ -107,6 +107,12 @@ INIT
 	autoflush TESTLOG 1;
 }
 
+END
+{
+	# Preserve temporary directory for this test on failure
+	$File::Temp::KEEP_ALL = 1 unless Test::More->builder->is_passing;
+}
+
 #
 # Helper functions
 #
-- 
2.1.0

